#!/bin/sh
#
# File:		PLUSInstallAfter_MN.sh
#
# Product:	Tivoli Module
# Description:	Shell Script
# Author:	Module Generator
#
# Generated:	
#
# (C) COPYRIGHT Tivoli Systems, Inc. 1997-2000
# All Rights Reserved
# Licensed Material - Property of Tivoli Systems, Inc.
#

#
#       Handle initial DEBUG setting; detect if we were called by winstall
#
if [ "$DEBUG" != true -a "$DEBUG" != false ]; then  # no env var override, so ...
  if [ "$0" = "sh" ]; then     # DEBUG should be ON if we were invoked via winstall ...
    DEBUG=true
    WINSTALL=true; export WINSTALL
  else
    DEBUG=             # ... otherwise look for TMB setting override
  fi
fi
if [ "$DEBUG" != true ]; then   # normalize the value here
  DEBUG=""
fi
export DEBUG
if [ "$DEBUG" ]; then set -x; fi


#
#       Set up environment (similar to old /etc/Tivoli/setup_env.sh)
#
OSERV=`objcall 0.0.0 get_oserv`; export OSERV
INST_DIR=`objcall $OSERV query install_dir | tr "\\\\\\\\" "/"`; export INST_DIR
INTERP=`objcall $OSERV query interp`; export INTERP
BINDIR=$INST_DIR/$INTERP; export BINDIR
PLUSDIR=$INST_DIR/generic_unix/TME/PLUS
LINKDIR=$PLUSDIR/LINK; export LINKDIR
DBDIR=`objcall $OSERV query db_dir | tr "\\\\\\\\" "/"`; export DBDIR
TEMP=/tmp; export TEMP
if [ x"$OS" = x"Windows_NT" ]; then
        TEMP=$DBDIR/tmp
fi
if [ ! -d $TEMP ]; then
        $LINKDIR/mkdir.sh $TEMP
fi
PATH=$LINKDIR:$PATH; export PATH

#
#	The standard directory and the /Plus override script
#
ETC=/etc/Tivoli
SCRIPT=PLUSsetup_env.sh

#
#	If this is NT, then etc is in a different location
#
if [ x\"$OS\" = x\"Windows_NT\" ] ; then
     ETC=$SystemRoot/system32/drivers/etc/Tivoli
fi

#
#	Look for our override script
#
if [ -f $ETC/$SCRIPT ]; then
	. $ETC/$SCRIPT
fi

#
#	Set up some popular environment variables.
#
REGION=`objcall $OSERV query whoami | awk '{print $1}'`
LIBRARY=`wlookup Library`

#
#	Get the region name to avoid collisions
#
IRO=`wlookup InterRegion`
IRONAME=`idlattr -t -g $IRO name string`
IRONAME=`eval echo $IRONAME`

DEFSEN=\"TivoliSentryDefaults#$IRONAME\"
MNOID=`objcall 0.0.0 get_host_location`
eval MNNAME=`idlattr -t -g $MNOID label string`
export MNNAME
PLUSDIR=$INST_DIR/generic_unix/TME/PLUS
LINKDIR=$PLUSDIR/LINK
PRODDIR=$PLUSDIR/TWS
PATH=$LINKDIR:$PRODDIR:$PATH
export PATH

cd $PRODDIR

. ./PLUSproduct-info.sh

#
#	This setting controls the task library creation behavior
#
USE_TLL=true; export USE_TLL

#
#	Use the module-level TaskRoles setting to set up a default ROLE for tasks
#
DEFAULT_TASKROLES=super; export DEFAULT_TASKROLES

#
#	Debugging code: by creating a directory called .plusdebug in
#		the appropriate TEMP directory, the output of scripts is
#		redirected to a file in TEMP by the same name as the script.
#
TEMP=/tmp
if [ x"$OS" = x"Windows_NT" ]; then
	TEMP=$DBDIR/tmp
else
	TEMP=/tmp
fi

DEBUGDIR=$TEMP/.plusdebug

SCRIPTNAME=`echo $0 | tr "\\\\\\\\" "/"`
SCRIPTNAME=`basename $SCRIPTNAME`

[ -d "$DEBUGDIR" ] && exec > $DEBUGDIR/$SCRIPTNAME && DEBUG=true && set -xv
[ -f "$DEBUGDIR" ] && DEBUG=true && set -xv

if [ x"$OS" != x"Windows_NT" ]; then
  chmod +x $LINKDIR/Link.install $LINKDIR/Link.init $LINKDIR/Link.cfg $LINKDIR/w* $LINKDIR/cfgappicon $LINKDIR/faux* $LINKDIR/*.sh
fi

## do install
. $LINKDIR/PLUSinstall_MN.sh

###########################################################################
#
#  at this point the plus module has been installed.
#  insert any code to run after installation here.
#

exit 0

