/*
 * $Id: client_config_fp_nt_sh.dsl,v 1.4 1998/06/22 23:23:03 ee Exp $
 *
 * Product:     TWSPlus for Tivoli
 *
 * Description: DSL dialog description file.
 *
 * (C) COPYRIGHT Tivoli Systems, Inc. 1996, 1997
 * All Rights Reserved
 * Licensed Material - Property of Tivoli Systems, Inc.
 */

#include <TME/PLUS/LINK/LinkCat.dsl>
#include "TME/PLUS/TWS/TWS_client_config_fp_nt_sh_msg.dsl"
Command Dialog
{
    Variables
    {
	CString dialog_name;
    }
    Attributes
    {
        HelpMessage = Msg(TWS_client_config_fp_nt_sh_msg_Help);
        Name = Dialog1;
        DialogStyle = PRIMARY_APPLICATION_MODAL;
        Title = $dialog_name;
    }
    Group
    {
	Name = g1;
	BitmapTitle = JLINK;
	TitlePos = TOP;
        Group
        {
            Attributes
            {
                Border = YES;
                Name = source_info;
                Title = Msg(TWS_client_config_fp_nt_sh_msg_source_info_title);
                TitlePos = CENTER;
            }
            Text
            {
                Columns = 20;
                Name = d_src_host;
                Title = Msg(TWS_client_config_fp_nt_sh_msg_src_host);
                TellModify = YES;
                TitlePos = CENTER;
            }
            Text
            {
                Columns = 30;
                Name = d_src_path;
                Title = Msg(TWS_client_config_fp_nt_sh_msg_src_path);
                TitlePos = CENTER;
                TellModify = YES;
                Value = "D:/MAESTRO/I386";
            }
        }

        Group
        {
            Attributes
            {
                Border = YES;
                Name = node_type;
                Title = Msg(TWS_client_config_fp_nt_sh_msg_node_type_title);
                TitlePos = CENTER;
            }
            Gadgets
            {
                Choice
                {
                    Choices = 
                        Msg(TWS_client_config_fp_nt_sh_msg_endpoint){endpoint},
                        Msg(TWS_client_config_fp_nt_sh_msg_managednode){managednode};
                    Name = d_node_type;
                    Show = ONE;
                    Sort = NO;
                    TellModify = YES;
                    Value = managednode;
                }
            }
        }

        Group
        {
            Attributes
            {
                Border = YES;
                Name = dest_info;
                Title = Msg(TWS_client_config_fp_nt_sh_msg_dest_info_title);
                TitlePos = CENTER;
            }
            Text
            {
                Columns = 30;
                Name = d_dest_path;
                Title = Msg(TWS_client_config_fp_nt_sh_msg_dest_path);
                TitlePos = CENTER;
                TellModify = YES;
                Value = "C:/win32app";
            }
        }
        Group
        {
            Attributes
            {
                Border = YES;
                Name = iss_info;
                Title = Msg(TWS_client_config_fp_nt_sh_msg_iss_info_title);
                TitlePos = CENTER;
            }
            Text
            {
                Columns = 30;
                Name = d_iss_file;
                Title = Msg(TWS_client_config_fp_nt_sh_msg_iss_file);
                TitlePos = CENTER;
                TellModify = YES;
                Value = "C:/Maestro/tws.iss";
            }
        }
        Group
        {
            Attributes
            {
                Border = YES;
                Name = maestro_info;
                Title = Msg(TWS_client_config_fp_nt_sh_msg_maestro_info_title);
                TitlePos = CENTER;
            }
            Text
            {
                Columns = 30;
                Name = d_cpu_map;
                Title = Msg(TWS_client_config_fp_nt_sh_msg_cpu_map);
                TitlePos = CENTER;
                TellModify = YES;
                Value = "C:/Maestro/tws_cpu.map";
            }
        }
    }
    CommandButton
    {
        Commands = execute_with_args_callback^$owner(ok,
            $g1.source_info.d_src_host,
            $g1.source_info.d_src_path,
            $g1.node_type.d_node_type,
            $g1.dest_info.d_dest_path,
            $g1.iss_info.d_iss_file,
            $g1.maestro_info.d_cpu_map);
        Name = ok;
        Title = Msg(TWS_client_config_fp_nt_sh_msg_ok);
    }
    CommandButton
    {
        Commands = execute_with_args_callback^$owner(cancel);
        Name = cancel;
        Title = Msg(TWS_client_config_fp_nt_sh_msg_cancel);
    }
}
