/*
 * $Id: client_config_fp_sh.dsl,v 1.5 1998/06/03 18:02:18 ee Exp $
 *
 * Product:     TWSPlus for Tivoli
 *
 * Description: DSL dialog description file.
 *
 * (C) COPYRIGHT Tivoli Systems, Inc. 1996, 1997
 * All Rights Reserved
 * Licensed Material - Property of Tivoli Systems, Inc.
 */

#include <TME/PLUS/LINK/LinkCat.dsl>
#include "TME/PLUS/TWS/TWS_client_config_fp_sh_msg.dsl"
Command Dialog
{
    Variables
    {
	CString dialog_name;
    }
    Attributes
    {
        HelpMessage = Msg(TWS_client_config_fp_sh_msg_Help);
        Name = TWS_client_config_fp_sh_msg;
        DialogStyle = PRIMARY_APPLICATION_MODAL;
        Title = $dialog_name;
    }
    Group
    {
	Name = g1;
	BitmapTitle = JLINK;
	TitlePos = TOP;
        Group
        {
            Attributes
            {
                Border = YES;
                Name = arch_selection;
                Title = Msg(TWS_client_config_fp_sh_msg_target);
                TitlePos = CENTER;
            }
            Gadgets
            {
                Choice
                {
                    Choices = 
                        Msg(TWS_client_config_fp_sh_msg_solaris2){solaris2},
                        Msg(TWS_client_config_fp_sh_msg_hpux10){hpux10},
                        Msg(TWS_client_config_fp_sh_msg_aix4_r1){aix4-r1},
                        Msg(TWS_client_config_fp_sh_msg_other){other};
                    Name = architecture;
                    Show = ONE;
                    Sort = NO;
                    TellModify = YES;
                    Value = solaris2;
                    Title = Msg(TWS_client_config_fp_sh_msg_interpreter_title);
                }

                Text
                {
                    Columns = 20;
                    Name = other;
                    TellModify = YES;
                    Title = Msg(TWS_client_config_fp_sh_msg_other_title);
                }

                Choice
                {
                    Choices = 
                        Msg(TWS_client_config_fp_sh_msg_endpoint){endpoint},
                        Msg(TWS_client_config_fp_sh_msg_managednode){managednode};
                    Name = node_type;
                    Show = ONE;
                    Sort = NO;
                    TellModify = YES;
                    Value = managednode;
                    Title = Msg(TWS_client_config_fp_sh_msg_type_title);
                }

            }
        }
        Group
        {
            Attributes
            {
                Border = YES;
                Name = source_info;
                Title = Msg(TWS_client_config_fp_sh_msg_source_info_title);
                TitlePos = CENTER;
            }
            Gadgets
            {
                Text
                {
                    Columns = 20;
                    Name = managed_node;
                    Title = Msg(TWS_client_config_fp_sh_msg_src_host);
                    TellModify = YES;
                    TitlePos = CENTER;
                }
                Choice
                {
                    Choices = 
                        Msg(TWS_client_config_fp_sh_msg_tarfile){tarfile},
                        Msg(TWS_client_config_fp_sh_msg_existing){existing};
                    Name = media;
                    Show = ONE;
                    Title = Msg(TWS_client_config_fp_sh_msg_src_media);
                    TitlePos = CENTER;
                    TellModify = YES;
                    Value = client;
                }
                Text
                {
                    Columns = 30;
                    Name = src_path;
                    Title = Msg(TWS_client_config_fp_sh_msg_media_path);
                    TitlePos = CENTER;
                    TellModify = YES;
                    Value = "/usr/maestro/maestro.tar";
                }
                Text
                {
                    Columns = 30;
                    Name = stage;
                    Title = Msg(TWS_client_config_fp_sh_msg_src_staging);
                    TitlePos = CENTER;
                    TellModify = YES;
                    Value = "/usr/maestro/stage";
                }
            }
        }
        Group
        {
            Attributes
            {
                Border = YES;
                Name = dest_info;
                Title = Msg(TWS_client_config_fp_sh_msg_dest_info_title);
                TitlePos = CENTER;
            }
            Gadgets
            {
                Text
                {
                    Columns = 20;
                    Name = maestro_user;
                    Title = Msg(TWS_client_config_fp_sh_msg_maestro_user);
                    TitlePos = CENTER;
                    TellModify = YES;
                    Value = "maestro";
                }
                Text
                {
                    Columns = 20;
                    Name = dest_path;
                    Title = Msg(TWS_client_config_fp_sh_msg_dest_path);
                    TitlePos = CENTER;
                    TellModify = YES;
                    Value = "/usr/maestro";
                }
                Text
                {
                    Columns = 20;
                    Name = maestro_uid;
                    Title = Msg(TWS_client_config_fp_sh_msg_maestro_uid);
                    TellModify = YES;
                    TitlePos = CENTER;
                    Value = "95";
                }
                Text
                {
                    Columns = 20;
                    Name = maestro_gid;
                    Title = Msg(TWS_client_config_fp_sh_msg_maestro_gid);
                    TitlePos = CENTER;
                    TellModify = YES;
                    Value = "95";
                }

            }
        }
        Group
        {
            Attributes
            {
                Border = YES;
                Name = master_info;
                Title = Msg(TWS_client_config_fp_sh_msg_master_info);
                TitlePos = CENTER;
            }
            Gadgets
            {
                Text
                {
                    Columns = 30;
                    Name = cpu_map;
                    Title = Msg(TWS_client_config_fp_sh_msg_cpu_map);
                    TitlePos = CENTER;
                    TellModify = YES;
                    Value = "/usr/maestro/tws_cpu.map";
                }
            }
        }
    }
    CommandButton
    {
        Commands = execute_with_args_callback^$owner(ok,
            $g1.arch_selection.architecture,
            $g1.arch_selection.other,
            $g1.arch_selection.node_type,
            $g1.source_info.managed_node,
            $g1.source_info.media,
            $g1.source_info.src_path,
            $g1.source_info.stage,
            $g1.dest_info.maestro_user,
            $g1.dest_info.dest_path,
            $g1.dest_info.maestro_uid,
            $g1.dest_info.maestro_gid,
            $g1.master_info.cpu_map);
        Name = ok;
        Title = Msg(TWS_client_config_fp_sh_msg_ok);
    }
    CommandButton
    {
        Commands = execute_with_args_callback^$owner(cancel);
        Name = cancel;
        Title = Msg(TWS_client_config_fp_sh_msg_cancel);
    }
}
