/*
 *
 * Product:	MAESTROPlus for Tivoli
 *
 * Description:  Dialog definition for T/EC server configuration.
 *		
 * (C) COPYRIGHT Tivoli Systems, Inc. 1996, 1997
 * All Rights Reserved
 * Licensed Material - Property of Tivoli Systems, Inc.
 *
 */

#include "TME/PLUS/LINK/LinkCat.dsl"

Command Dialog
{
	Variables
	{
		CString dialog_name;
	}

	HelpMessage = Msg(LinkCat_tec_config_help);
	Name = link_tec_config;
	DialogStyle = PRIMARY_APPLICATION_MODAL;
	Title = $dialog_name;
	Default = ok;

	Group
	{
		Name = g1;
		BitmapTitle = TEC;
		TitlePos = TOP;

		Group
		{
			Name = g2;
			TitlePos = TOP;
			Title = Msg(LinkCat_tec_config_rule_info);
			Border = YES;

			Group
			{
				Name = rb1;
				Layout = HORIZONTAL;
				GridHorizontal = 0;
				GridVertical = 0;
				ChildRowAlignment = TOP;
				ChildColumnAlignment = LEFT;

				Button
				{
					Name = new_button;
					Title = Msg(LinkCat_tec_config_new_radio);
					Commands = dtc_change($owner,link_tec_config,$self,
								g1.g2.hidden.new_radio, Text,
								Value, "on"),
							dtc_change($owner,link_tec_config,$self,
								g1.g2.hidden.existing_radio, Text,
								Value, "off"),
							dtc_change($owner,link_tec_config,$self,
								g1.g2.existing_rule_info, Group,
								Visible, NO),
							dtc_change($owner,link_tec_config,$self,
								g1.g2.rule_info, Group,
								Visible, YES);
				}

				Button
				{
					Name = existing_button;
					Title = Msg(LinkCat_tec_config_existing_radio);
					Commands = dtc_change($owner,link_tec_config,$self,
								g1.g2.hidden.new_radio, Text,
								Value, "off"),
							dtc_change($owner,link_tec_config,$self,
								g1.g2.hidden.existing_radio, Text,
								Value, "on"),
							dtc_change($owner,link_tec_config,$self,
								g1.g2.existing_rule_info, Group,
								Visible, YES),
							dtc_change($owner,link_tec_config,$self,
								g1.g2.rule_info, Group,
								Visible, NO);
				}
			} 

			Group
			{
				Name = rule_info;
				Visible = NO;
				GridHorizontal = 0;
				GridVertical = 1;
				GridHeight = 3;
				GridWidth = 2;
				ChildColumnAlignment = STRETCH;

				Message
				{
					Name = rule_base_label;
					Title = Msg(LinkCat_tec_config_rule_base);
					GridHorizontal = 0;
					GridVertical = 0;
					ChildRowAlignment = CENTER;
					ChildColumnAlignment = RIGHT;
				}

				Text
				{
					Columns = 20;
					Name = rule_base;
					TellModify = YES;
					Value = "TivoliPlus";
					GridHorizontal = 1;
					GridVertical = 0;
					ChildRowAlignment = LEFT;
					ChildColumnAlignment = STRETCH;
				}

				Message
				{
					Name = src_rule_base_label;
					GridHorizontal = 0;
					GridVertical = 1;
					ChildRowAlignment = CENTER;
					ChildColumnAlignment = RIGHT;
					Title = Msg(LinkCat_tec_config_src_rule_base);
				}
	
				Text
				{
					Columns = 20;
					Name = src_rule_base;
					TellModify = YES;
					Value = "Default";
					GridHorizontal = 1;
					GridVertical = 1;
					ChildRowAlignment = LEFT;
					ChildColumnAlignment = STRETCH;
				}

				Message
				{
					Name = rule_base_path_label;
					GridHorizontal = 0;
					GridVertical = 2;
					ChildRowAlignment = CENTER;
					ChildColumnAlignment = RIGHT;
					Title = Msg(LinkCat_tec_config_rule_base_path);
				}
	
				Text
				{
					Columns = 30;
					Name = rule_base_path;
					TellModify = YES;
					Value = "/usr/tec_rules/TivoliPlus";
					GridHorizontal = 1;
					GridVertical = 2;
					ChildRowAlignment = LEFT;
					ChildColumnAlignment = STRETCH;
				}
			}

			Group
			{
				Name = existing_rule_info;
				Visible = NO;
				GridHorizontal = 0;
				GridVertical = 1;
				GridHeight = 3;
				GridWidth = 2;
				ChildColumnAlignment = STRETCH;
       	
				Message
				{
					Name = existing_rule_base_label;
					Title = Msg(LinkCat_tec_config_existing_rule_base);
					GridHorizontal = 0;
					GridVertical = 0;
					ChildRowAlignment = CENTER;
					ChildColumnAlignment = RIGHT;
				}

				Text
				{
					Columns = 20;
					Name = existing_rule_base;
					TellModify = YES;
					Value = "TivoliPlus";
					GridHorizontal = 1;
					GridVertical = 0;
					ChildRowAlignment = LEFT;
					ChildColumnAlignment = STRETCH;
				}
			}

			Group
			{
				Name = hidden;
				Visible = NO;
				GridHorizontal = 0;
				GridVertical = 1;
				GridHeight = 3;
				GridWidth = 2;
				ChildColumnAlignment = STRETCH;

				Text
				{
					Name = new_radio;
					Value = "off";
				}

				Text
				{
					Name = existing_radio;
					Value = "off";
				}
			}
				
		}

		Group
		{
			Border = YES;
			Name = g3;
			Title = Msg(LinkCat_tec_config_event_console_info);
			TitlePos = TOP;
			GridHeight = 4;
			GridWidth = 2;
			ChildColumnAlignment = STRETCH;

			Message
			{
				Name = event_console_label;
				GridHorizontal = 0;
				GridVertical = 0;
				ChildRowAlignment = CENTER;
				ChildColumnAlignment = RIGHT;
				Title = Msg(LinkCat_tec_config_event_console);
			}

			Text
			{
				Columns = 20;
				Name = event_console;
				TellModify = YES;
				GridHorizontal = 1;
				GridVertical = 0;
				ChildRowAlignment = LEFT;
				ChildColumnAlignment = STRETCH;
			}

			Message
			{
				Name = tec_ui_server_label;
				GridHorizontal = 0;
				GridVertical = 1;
				ChildRowAlignment = CENTER;
				ChildColumnAlignment = RIGHT;
				Title = "TEC UI Sever host:";
			}

			Text
			{
				Columns = 20;
				Name = tec_ui_server;
				TellModify = YES;
				GridHorizontal = 1;
				GridVertical = 1;
				ChildRowAlignment = LEFT;
				ChildColumnAlignment = STRETCH;
			}

			Message
			{
				Name = fw_admin_label;
				GridHorizontal = 0;
				GridVertical = 2;
				ChildRowAlignment = CENTER;
				ChildColumnAlignment = RIGHT;
				Title = "TME Administrator login:";
			}

			Text
			{
				Columns = 20;
				Name = fw_admin;
				TellModify = YES;
				GridHorizontal = 1;
				GridVertical = 2;
				ChildRowAlignment = LEFT;
				ChildColumnAlignment = STRETCH;
			}

			Message
			{
				Name = admin_pw_label;
				GridHorizontal = 0;
				GridVertical = 3;
				ChildRowAlignment = CENTER;
				ChildColumnAlignment = RIGHT;
				Title = "Password:";
			}

			Text
			{
				Columns = 20;
				Name = admin_pw;
				Encrypt = NONE;
				TellModify = YES;
				GridHorizontal = 1;
				GridVertical = 3;
				ChildRowAlignment = LEFT;
				ChildColumnAlignment = STRETCH;
			}
		}
	}

	CommandButton
	{
		Commands = execute_with_args_callback^$owner(
						ok,
						$g1.g2.hidden.new_radio,
						$g1.g2.hidden.existing_radio,
						$g1.g2.existing_rule_info.existing_rule_base,
						$g1.g2.rule_info.rule_base,
						$g1.g2.rule_info.src_rule_base,
						$g1.g2.rule_info.rule_base_path,
						$g1.g3.event_console,
						$g1.g3.tec_ui_server,
						$g1.g3.fw_admin,
						$g1.g3.admin_pw
						);
		Name = ok;
		Title = Msg(LinkCat_set_and_execute);
	}

	CommandButton
	{
		Commands = execute_with_args_callback^$owner(cancel);
		Name = cancel;
		Title = Msg(LinkCat_cancel);
	}
}
