/*
 * $Id: rep11_sh.dsl,v 1.3 1998/06/03 18:02:43 ee Exp $
 *
 * Product:	TWSPlus for Tivoli
 *
 * Description: DSL dialog description file.
 *
 * (C) COPYRIGHT Tivoli Systems, Inc. 1996, 1997
 * All Rights Reserved
 * Licensed Material - Property of Tivoli Systems, Inc.
 */

#include <TME/PLUS/LINK/LinkCat.dsl>
#include "TME/PLUS/TWS/TWS_rep11_sh_msg.dsl"
Command Dialog
{
	Variables
	{
		CString dialog_name;
	}

	Attributes
	{
		Default = ok;
		Name = Dialog1;
		Purpose = ICONIFY;
		DialogStyle = PRIMARY_APPLICATION_MODAL;
		Title = $dialog_name;
		Alignment = CENTER;
		HelpMessage=Msg(TWS_rep11_sh_msg_Help);
	}

	Group
	{
		Name = g1;
		BitmapTitle = JLINK;
		TitlePos = TOP;
		Group
		{
			Attributes
			{
				Name = options;
				Alignment = CENTER;
				TitlePos = CENTER;
				Title = Msg(TWS_rep11_sh_msg_Report_Options);
				Border = YES;
			}
			Text
			{
				Columns = 20;
				Name = cpuname;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_rep11_sh_msg_CPU_Names);
			}
			Text
			{
				Columns = 20;
				Name = months;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_rep11_sh_msg_Months_to_Report);
			}
		}
		Group
		{
			Attributes
			{
				Name = print_opts;
				Alignment = CENTER;
				TitlePos = CENTER;
				Title = Msg(TWS_rep11_sh_msg_Print_Options);
				Border = YES;
			}
			Text
			{
				Columns = 20;
				Name = maestrolp;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_rep11_sh_msg_MAESTROLP_Setting);
			}
			Text
			{
				Columns = 20;
				Name = maestrolplines;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_rep11_sh_msg_MAESTROLPLINES_Setting);
				Value = 60;
			}
			Text
			{
				Columns = 20;
				Name = maestrolpcolumns;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_rep11_sh_msg_MAESTROLPCOLUMNS_Setting);
				Value = 132;
			}
		}
	}

	CommandButton
	{
		Commands = execute_with_args_callback^$owner(ok,
				$g1.options.cpuname,
				$g1.options.months,
				$g1.print_opts.maestrolp,
				$g1.print_opts.maestrolplines,
				$g1.print_opts.maestrolpcolumns);
		Name = ok;
		Title = Msg(TWS_rep11_sh_msg_ok);
	}

	CommandButton
	{
		Commands = execute_with_args_callback^$owner(cancel);
		Name = cancel;
		Title = Msg(TWS_rep11_sh_msg_cancel);
	}

}
