/*
 * $Id: reptr_sh.dsl,v 1.3 1998/06/03 18:02:54 ee Exp $
 *
 * Product:	TWSPlus for Tivoli
 *
 * Description: DSL dialog description file.
 *
 * (C) COPYRIGHT Tivoli Systems, Inc. 1996, 1997
 * All Rights Reserved
 * Licensed Material - Property of Tivoli Systems, Inc.
 */

#include <TME/PLUS/LINK/LinkCat.dsl>
#include "TME/PLUS/TWS/TWS_reptr_sh_msg.dsl"
Command Dialog
{
	Variables
	{
		CString dialog_name;
	}

	Attributes
	{
		Default = ok;
		Name = Dialog1;
		Purpose = ICONIFY;
		DialogStyle = PRIMARY_APPLICATION_MODAL;
		Title = $dialog_name;
		Alignment = CENTER;
		HelpMessage=Msg(TWS_reptr_sh_msg_Help);
	}

	Group
	{
		Name = g1;
		BitmapTitle = JLINK;
		TitlePos = TOP;
		Group
		{
			Attributes
			{
				Name = options;
				Alignment = CENTER;
				TitlePos = CENTER;
				Title = Msg(TWS_reptr_sh_msg_Report_Options);
				Border = YES;
			}
			Choice
			{
				Name = pre_post;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_reptr_sh_msg_Report_Selection);
				Choices = Msg(TWS_reptr_sh_msg_Planned){0},
					Msg(TWS_reptr_sh_msg_Actual){1};
				Value = 0;
				Show = ALL;
				Sort = NO;
			}
			List
			{
				Name = detail_level;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_reptr_sh_msg_Level_of_Detail);
				Choices = Msg(TWS_reptr_sh_msg_Summary){0},
					Msg(TWS_reptr_sh_msg_Detail){1};
				Value = 0;
				Show = ALL;
				Sort = NO;
			}
			Text
			{
				Columns = 20;
				Name = filename;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_reptr_sh_msg_Production_Control_file);
			}
		}
		Group
		{
			Attributes
			{
				Name = print_opts;
				Alignment = CENTER;
				TitlePos = CENTER;
				Title = Msg(TWS_reptr_sh_msg_Print_Options);
				Border = YES;
			}
			Text
			{
				Columns = 20;
				Name = maestrolp;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_reptr_sh_msg_MAESTROLP_Setting);
			}
			Text
			{
				Columns = 20;
				Name = maestrolplines;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_reptr_sh_msg_MAESTOLPLINES_Setting);
				Value = 60;
			}
			Text
			{
				Columns = 20;
				Name = maestrolpcolumns;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_reptr_sh_msg_MAESTROLPCOLUMNS_Setting);
				Value = 132;
			}
		}
	}
	CommandButton
	{
		Commands = execute_with_args_callback^$owner(ok,
				$g1.options.pre_post,
				$g1.options.detail_level,
				$g1.options.filename,
				$g1.print_opts.maestrolp,
				$g1.print_opts.maestrolplines,
				$g1.print_opts.maestrolpcolumns);
		Name = ok;
		Title = Msg(TWS_reptr_sh_msg_ok);
	}

	CommandButton
	{
		Commands = execute_with_args_callback^$owner(cancel);
		Name = cancel;
		Title = Msg(TWS_reptr_sh_msg_cancel);
	}

}
