/*
 * $Id: xref_sh.dsl,v 1.4 1998/06/03 18:03:01 ee Exp $
 *
 * Product:     TWSPlus for Tivoli
 *
 * Description: DSL dialog description file.
 *
 * (C) COPYRIGHT Tivoli Systems, Inc. 1996, 1997
 * All Rights Reserved
 * Licensed Material - Property of Tivoli Systems, Inc.
 */

#include "TME/PLUS/LINK/LinkCat.dsl"
#include "TME/PLUS/TWS/TWS_xref_sh_msg.dsl"
Command Dialog
{
	Variables
	{
		CString dialog_name;
	}
	Attributes
	{
		Default = ok;
		Name = Dialog1;
		Purpose = ICONIFY;
		DialogStyle = PRIMARY_APPLICATION_MODAL;
		Title = $dialog_name;
		Alignment = CENTER;
		HelpMessage=Msg(TWS_xref_sh_msg_Help);
	}
	Group
	{
		Name = g1;
		BitmapTitle = JLINK;
		TitlePos = TOP;
		Group
		{
			Attributes
			{
				Name = options;
				Alignment = CENTER;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_Report_Options);
				Border = YES;
			}
			Text
			{
				Columns = 20;
				Name = cpuname;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_CPU_Name);
			}
			Group
			{
				Name = depends;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_Report_Job_Dependencies);
				Choice
				{
					TellModify = YES;
					Choices = Msg(TWS_xref_sh_msg_Yes){1},
						Msg(TWS_xref_sh_msg_No){0};
					Value = 0;
					Show = ALL;
					Sort = NO;
				}
			}
			Group
			{
				Name = files;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_Report_File_Dependencies);
				Choice
				{
					TellModify = YES;
					Choices = Msg(TWS_xref_sh_msg_Yes){1},
						Msg(TWS_xref_sh_msg_No){0};
					Value = 0;
					Show = ALL;
					Sort = NO;
				}
			}
			Group
			{
				Name = jobs;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_Report_Job_Schedules);
				Choice
				{
					TellModify = YES;
					Choices = Msg(TWS_xref_sh_msg_Yes){1},
						Msg(TWS_xref_sh_msg_No){0};
					Value = 0;
					Show = ALL;
					Sort = NO;
				}
			}
			Group
			{
				Name = prompts;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_Report_Prompt_Dependencies);
				Choice
				{
					TellModify = YES;
					Choices = Msg(TWS_xref_sh_msg_Yes){1},
						Msg(TWS_xref_sh_msg_No){0};
					Value = 0;
					Show = ALL;
					Sort = NO;
				}
			}
			Group
			{
				Name = resource;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_Report_Resource_Dependencies);
				Choice
				{
					TellModify = YES;
					Choices = Msg(TWS_xref_sh_msg_Yes){1},
						Msg(TWS_xref_sh_msg_No){0};
					Value = 0;
					Show = ALL;
					Sort = NO;
				}
			}
			Group
			{
				Name = schedules;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_Report_Schedule_Dependencies);
				Choice
				{
					TellModify = YES;
					Choices = Msg(TWS_xref_sh_msg_Yes){1},
						Msg(TWS_xref_sh_msg_No){0};
					Value = 0;
					Show = ALL;
					Sort = NO;
				}
			}
			Group
			{
				Name = when;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_Report_Schedule_Dates);
				Choice
				{
					TellModify = YES;
					Choices = Msg(TWS_xref_sh_msg_Yes){1},
						Msg(TWS_xref_sh_msg_No){0};
					Value = 0;
					Show = ALL;
					Sort = NO;
				}
			}
		}
		Group
		{
			Attributes
			{
				Name = print_opts;
				Alignment = CENTER;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_Print_Options);
				Border = YES;
			}
			Text
			{
				Columns = 20;
				Name = maestrolp;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_MAESTROLP_Setting);
			}
			Text
			{
				Columns = 20;
				Name = maestrolplines;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_MAESTROLPLINES_Setting);
				Value = 60;
			}
			Text
			{
				Columns = 20;
				Name = maestrolpcolumns;
				TellModify = YES;
				TitlePos = CENTER;
				Title = Msg(TWS_xref_sh_msg_MAESTROLPCOLUMNS_Setting);
				Value = 132;
			}
		}
	}

	CommandButton
	{
		Commands = execute_with_args_callback^$owner(ok,
			$g1.options.cpuname,
			$g1.options.depends,
			$g1.options.files,
			$g1.options.jobs,
			$g1.options.prompts,
			$g1.options.resource,
			$g1.options.schedules,
			$g1.options.when,
			$g1.print_opts.maestrolp,
			$g1.print_opts.maestrolplines,
			$g1.print_opts.maestrolpcolumns);
		Name = ok;
		Title = Msg(TWS_xref_sh_msg_ok);
	}

	CommandButton
	{
		Commands = execute_with_args_callback^$owner(cancel);
		Name = cancel;
		Title = Msg(TWS_xref_sh_msg_cancel);
	}

 }
